package com.bpcl.lpg.core.service.impl;

import org.slf4j.LoggerFactory;
import org.apache.commons.lang3.StringUtils;
import com.bpcl.lpg.core.model.LpgContactUpdateModel;
import com.bpcl.lpg.core.enums.GenericStatusEnum;
import java.util.Map;
import org.slf4j.Logger;
import de.hybris.platform.servicelayer.model.ModelService;
import com.bpcl.lpg.core.service.LpgAccountService;

public class LpgAccountServiceImpl implements LpgAccountService
{
    private ModelService modelService;
    private static final Logger LOG;
    
    public void createRecord(final Map<String, String> params, final GenericStatusEnum status, final String remarks) {
        final LpgContactUpdateModel model = (LpgContactUpdateModel)this.modelService.create((Class)LpgContactUpdateModel.class);
        model.setNewContactNumber((String)params.get("newContact"));
        final String oldContact = params.get("oldContact");
        LpgAccountServiceImpl.LOG.info("Inside  LpgAccountServiceImpl createRecord ");
        if (StringUtils.isNotBlank(oldContact)) {
            model.setOldContactNumber(oldContact);
        }
        final String lpgId = params.get("lpgId");
        if (StringUtils.isNotBlank(lpgId)) {
            model.setLpgId(lpgId);
        }
        final String verificationParam = params.get("verificationParam");
        if (StringUtils.isNotBlank(verificationParam)) {
            model.setVerificationParam(verificationParam);
        }
        final String verificationMode = params.get("verificationMode");
        if (StringUtils.isNotBlank(verificationMode)) {
            model.setVerificationMode(verificationMode);
        }
        final String consumerNumber = params.get("consumerNumber");
        if (StringUtils.isNotBlank(consumerNumber)) {
            model.setConsumerNumber(consumerNumber);
        }
        final String distCode = params.get("distributorCode");
        if (StringUtils.isNotBlank(distCode)) {
            model.setDistCode(distCode);
        }
        model.setStatus(status);
        model.setRemarks(remarks);
        this.modelService.save((Object)model);
        LpgAccountServiceImpl.LOG.info("Outside  LpgAccountServiceImpl createRecord ");
    }
    
    public void setModelService(final ModelService modelService) {
        this.modelService = modelService;
    }
    
    static {
        LOG = LoggerFactory.getLogger(LpgAccountServiceImpl.class);
    }
}
